<?php

namespace App;
require 'customizer-library/customizer-library.php';

/**
 * Theme Customization - declaration
 */

add_action( 'customize_register', function ( $wp_customize ) {

  //INIT
  $options = array();
  $sections = array();
  $panels = array();

  @include_once 'customizer-options/customizer-header.php';
  @include_once 'customizer-options/customizer-posts.php';
  @include_once 'customizer-options/customizer-overlay.php';
  @include_once 'customizer-options/customizer-socials.php';
  @include_once 'customizer-options/customizer-footer.php';
  @include_once 'customizer-options/customizer-general.php';
  @include_once 'customizer-options/customizer-search.php';
  @include_once 'customizer-options/customizer-products.php';
  @include_once 'customizer-options/customizer-events.php';
  @include_once 'customizer-options/customizer-services.php';
  @include_once 'customizer-options/customizer-jobs.php';
  @include_once 'customizer-options/customizer-editor.php';
  @include_once 'customizer-options/customizer-pre-header.php';
  
  //CALL CLASS
	$options['sections'] = $sections;
	$options['panels'] = $panels;


  $customizer_library = \Customizer_Library::Instance();
	$customizer_library->add_options( $options );
});
